package com.ruoyi.base.mapper;

import java.util.List;
import com.ruoyi.base.domain.BaseBusbarInfo;

/**
 * 母排信息Mapper接口
 * 
 * @author zangch
 * @date 2024-10-31
 */
public interface BaseBusbarInfoMapper 
{
    /**
     * 查询母排信息
     * 
     * @param objId 母排信息主键
     * @return 母排信息
     */
    public BaseBusbarInfo selectBaseBusbarInfoByObjId(Long objId);

    /**
     * 查询母排信息列表
     * 
     * @param baseBusbarInfo 母排信息
     * @return 母排信息集合
     */
    public List<BaseBusbarInfo> selectBaseBusbarInfoList(BaseBusbarInfo baseBusbarInfo);

    /**
     * 新增母排信息
     * 
     * @param baseBusbarInfo 母排信息
     * @return 结果
     */
    public int insertBaseBusbarInfo(BaseBusbarInfo baseBusbarInfo);

    /**
     * 修改母排信息
     * 
     * @param baseBusbarInfo 母排信息
     * @return 结果
     */
    public int updateBaseBusbarInfo(BaseBusbarInfo baseBusbarInfo);

    /**
     * 删除母排信息
     * 
     * @param objId 母排信息主键
     * @return 结果
     */
    public int deleteBaseBusbarInfoByObjId(Long objId);

    /**
     * 批量删除母排信息
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseBusbarInfoByObjIds(Long[] objIds);
}
